import {
    system,
    world
} from "@minecraft/server";
import {
    ActionFormData,
    ModalFormData
} from '@minecraft/server-ui'

world.beforeEvents.itemUse.subscribe((eventData) => {
	let item = eventData.itemStack
	let player = eventData.source
    // Detect items used
    if (item.typeId == "stk:mcmenu") {
    		system.run(() => {
				mcontrol(player)
			})
    }
if (item.typeId == "stk:pmenu") {
    		system.run(() => {
				playlist(player)
			})
}});

function mcontrol(player) {
  const form = new ActionFormData();
  form.title("Master control");
  form.button("§lChama");
  form.button("§lBesta");
  form.button("§l4 braços");
  form.button("§lXlr8");
  form.button("§lMassa cinzenta");
  form.button("§lDiamante");
  form.button("§lInsectoide");
  form.button("§lUltra T");
  form.button("§lFantasmatico");
  form.button("§lAquatico");
  form.button("§lBola de canhão");
  form.button("§lChocante");
  form.button("§lCipo selvagem");
  form.button("§lLobisben");
  form.button("§lIguana artica");
  form.button("§lGrandão");
  form.show(player).then((r) => {
    if (r.selection === 0) {
    
        player.runCommandAsync(`function chama`);
    }
    if (r.selection === 1) {
    
        player.runCommandAsync(`function besta`);
    }
    if (r.selection === 2) {
    
        player.runCommandAsync(`function qbracos`);
    }
    if (r.selection === 3) {
       
        player.runCommandAsync(`function xlr8`);
    }
    if (r.selection === 4) {
       
        player.runCommandAsync(`function mcinzenta`);
    }
    if (r.selection === 5) {
       
        player.runCommandAsync(`function diamante`);
    }
    if (r.selection === 6) {
       
        player.runCommandAsync(`function inseto`);
    }
    if (r.selection === 7) {
       
        player.runCommandAsync(`function ultrat`);
    }
    if (r.selection === 8) {
       
        player.runCommandAsync(`function fantasma`);
    }
    if (r.selection === 9) {
       
        player.runCommandAsync(`function aquatico`);
    }
    if (r.selection === 10) {
       
        player.runCommandAsync(`execute as @s[tag=bolaun] at @s run function bola`);
    }
    if (r.selection === 11) {
       
        player.runCommandAsync(`execute as @s[tag=choun] at @s run function chocante`);
    }
    if (r.selection === 12) {
       
        player.runCommandAsync(`execute as @s[tag=cipoun] at @s run function cipo`);
    }
    if (r.selection === 13) {
       
        player.runCommandAsync(`execute as @s[tag=lobiun] at @s run function lobisben`);
    }
    if (r.selection === 14) {
       
        player.runCommandAsync(`execute as @s[tag=iguun] at @s run function iguana`);
    }
    if (r.selection === 15) {
       
        player.runCommandAsync(`execute as @s[tag=graun] at @s run function grandao`);
    }
  }
);}

function playlist(player) {
  const form = new ActionFormData();
  form.title("Playlist select");
  form.button("§lplaylist 1");
  form.button("§lPlaylist 2");
  form.show(player).then((r) => {
    if (r.selection === 0) {
    
        player.runCommandAsync(`function pl1`);
    }
    if (r.selection === 1) {
    
        player.runCommandAsync(`function pl2`);
    }
  }
);}