import { system, world } from "@minecraft/server";
import { ModalFormData } from '@minecraft/server-ui';

world.beforeEvents.itemUse.subscribe(ev => {
    const item = ev.itemStack;
    const player = ev.source;
    
    if (item.typeId === "stk:omenu") { // Check if the item used is a stick
        system.run(() => {
            form.show(player).then(res => {
                if (res.canceled) {
                    return;
                }
                const [textField] = res.formValues;
                const codigo = textField; // Use the textField variable for comparison
                console.warn(`TextField ${codigo}`);
                if (codigo === "2539") {
                    player.runCommandAsync('function mcontrol'); // Run command if code matches
                }
            });
        });
    }
});

const form = new ModalFormData();
form.title("Omnitrix Menu");
const textField = form.textField("Código", "Insira o código de 4 digitos aqui");
